Subject: [sup-talk] Possible fix for ferret "Permission denied" errors

From: [email-masked] (Christopher Warrington)
Date: Sun, 3 Feb 2008 02:11:11 -0600

In the forthcoming patch, I have proposed a possible fix for the ferret 
"Permission denied" error some have been getting.

I run sup under Cygwin. Before, when I was composing an e-mail and sup 
did a background poll and found new messages, sup would crash with the 
ferret error "Permission denied".

I think that this has to do with Windows different file sharing 
semantics. I've been running with this patch for a while now and not had 
another "Permission denied" error.

However, I have not been able to test it on a non-Cygwin setup. I also 
don't know if this is the proper way to address this issue. To me, it 
seems mery much like a hack. Is there a clean way to either close all 
open files, get a list of FDs in use, or get the maximum FD allowed?

Comments welcome and encouraged!